FAQ
Edit report at http://pear.php.net/bugs/bug.php?id=16514&edit=1

ID: 16514
Updated by: helgith@gmail.com
Reported By: jani at php dot net
Summary: pear phar (or whatever it is) is borked
-Status: Open
+Status: Duplicate
Type: Bug
Package: PEAR
Operating System: *
Package Version: Unknown
PHP Version: 5_2 CVS-2009-08-11
Roadmap Versions:
New Comment:

-Status: Open
+Status: Duplicate
This was already reported under #16366
Look at other bug reports before filling in a ticket.

As to your unacceptable comment, while I was not made aware of the
final release and thus things somehow just slipped through like that, I
must point out that none of the PHP core people tested this
functionality either to make sure this worked. It could have made a lot
of difference.


Previous Comments:
------------------------------------------------------------------------

[2009-08-11 12:54:59] jani

Description:
------------
Dozens of warnings and notices, and the resulting 'pear' command fails
to work. For example:

# pear install MDB2
pear.php.net is using a unsupported protocal - This should never
happen.

Or:

# pear upgrade
Notice: Undefined variable: dorest in PEAR/Command/Install.php on line
1220

Notice: Undefined variable: latest in PEAR/Command/Install.php on line
1228

Notice: Undefined variable: latest in PEAR/Command/Install.php on line
1234

Warning: array_change_key_case(): The argument should be an array in
PEAR/Command/Install.php on line 1234

Warning: array_change_key_case(): The argument should be an array in
/opt/php/lib/php/PEAR/Command/Install.php on line 1234

How to reproduce:

Just do normal configure / make / make install for PHP_5_2 branch.

And I was told it happens also with the PHP 5.2.10 release..not
acceptable situation!

------------------------------------------------------------------------

Search Discussions

  • Jani at Aug 12, 2009 at 7:51 am
    Edit report at http://pear.php.net/bugs/bug.php?id=16514&edit=1

    ID: 16514
    Updated by: jani@php.net
    Reported By: jani at php dot net
    Summary: pear phar (or whatever it is) is borked
    Status: Duplicate
    Type: Bug
    Package: PEAR
    Operating System: *
    Package Version: Unknown
    PHP Version: 5_2 CVS-2009-08-11
    Roadmap Versions:
    New Comment:

    So you missed my comment about "it worked before.." ? Don't blame core
    PHP developers for you fuckups!


    Previous Comments:
    ------------------------------------------------------------------------

    [2009-08-11 20:09:40] dufuz

    -Status: Open
    +Status: Duplicate
    This was already reported under #16366
    Look at other bug reports before filling in a ticket.

    As to your unacceptable comment, while I was not made aware of the
    final release and thus things somehow just slipped through like that, I
    must point out that none of the PHP core people tested this
    functionality either to make sure this worked. It could have made a lot
    of difference.

    ------------------------------------------------------------------------

    [2009-08-11 12:54:59] jani

    Description:
    ------------
    Dozens of warnings and notices, and the resulting 'pear' command fails
    to work. For example:

    # pear install MDB2
    pear.php.net is using a unsupported protocal - This should never
    happen.

    Or:

    # pear upgrade
    Notice: Undefined variable: dorest in PEAR/Command/Install.php on line
    1220

    Notice: Undefined variable: latest in PEAR/Command/Install.php on line
    1228

    Notice: Undefined variable: latest in PEAR/Command/Install.php on line
    1234

    Warning: array_change_key_case(): The argument should be an array in
    PEAR/Command/Install.php on line 1234

    Warning: array_change_key_case(): The argument should be an array in
    /opt/php/lib/php/PEAR/Command/Install.php on line 1234

    How to reproduce:

    Just do normal configure / make / make install for PHP_5_2 branch.

    And I was told it happens also with the PHP 5.2.10 release..not
    acceptable situation!

    ------------------------------------------------------------------------
  • Jani at Aug 12, 2009 at 7:52 am
    Edit report at http://pear.php.net/bugs/bug.php?id=16514&edit=1

    ID: 16514
    Updated by: jani@php.net
    Reported By: jani at php dot net
    Summary: pear phar (or whatever it is) is borked
    Status: Duplicate
    Type: Bug
    Package: PEAR
    Operating System: *
    Package Version: Unknown
    PHP Version: 5_2 CVS-2009-08-11
    Roadmap Versions:
    New Comment:

    Okay, so I didn't mention it worked before.. did that on IRC actually.
    :D


    Previous Comments:
    ------------------------------------------------------------------------

    [2009-08-12 09:51:18] jani

    So you missed my comment about "it worked before.." ? Don't blame core
    PHP developers for you fuckups!

    ------------------------------------------------------------------------

    [2009-08-11 20:09:40] dufuz

    -Status: Open
    +Status: Duplicate
    This was already reported under #16366
    Look at other bug reports before filling in a ticket.

    As to your unacceptable comment, while I was not made aware of the
    final release and thus things somehow just slipped through like that, I
    must point out that none of the PHP core people tested this
    functionality either to make sure this worked. It could have made a lot
    of difference.

    ------------------------------------------------------------------------

    [2009-08-11 12:54:59] jani

    Description:
    ------------
    Dozens of warnings and notices, and the resulting 'pear' command fails
    to work. For example:

    # pear install MDB2
    pear.php.net is using a unsupported protocal - This should never
    happen.

    Or:

    # pear upgrade
    Notice: Undefined variable: dorest in PEAR/Command/Install.php on line
    1220

    Notice: Undefined variable: latest in PEAR/Command/Install.php on line
    1228

    Notice: Undefined variable: latest in PEAR/Command/Install.php on line
    1234

    Warning: array_change_key_case(): The argument should be an array in
    PEAR/Command/Install.php on line 1234

    Warning: array_change_key_case(): The argument should be an array in
    /opt/php/lib/php/PEAR/Command/Install.php on line 1234

    How to reproduce:

    Just do normal configure / make / make install for PHP_5_2 branch.

    And I was told it happens also with the PHP 5.2.10 release..not
    acceptable situation!

    ------------------------------------------------------------------------

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppear-bugs @
categoriesphp
postedAug 11, '09 at 6:09p
activeAug 12, '09 at 7:52a
posts3
users2
websitepear.php.net

2 users in discussion

Jani: 2 posts Helgith: 1 post

People

Translate

site design / logo © 2022 Grokbase